Bug 256400 - knetworkmanager always shows eth unplugged, cannot edit network configuration
Summary: knetworkmanager always shows eth unplugged, cannot edit network configuration
Status: RESOLVED FIXED
Alias: None
Product: knetworkmanager
Classification: Unclassified
Component: general (show other bugs)
Version: 0.7 (KDE4)
Platform: Fedora RPMs Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-08 23:05 UTC by rob.dyck
Modified: 2011-08-16 16:27 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Output of lspci on my computer (2.50 KB, text/plain)
2010-12-31 04:34 UTC, Kerrick Staley
Details
Output of uname -a on my computer (111 bytes, text/plain)
2010-12-31 04:34 UTC, Kerrick Staley
Details
Pertinent log files after booting (11.46 KB, text/plain)
2010-12-31 04:35 UTC, Kerrick Staley
Details
Pertinent log files after establishing a connection (19.72 KB, text/plain)
2010-12-31 04:35 UTC, Kerrick Staley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rob.dyck 2010-11-08 23:05:03 UTC
Version:           0.7 (KDE4) (using KDE 4.5.2) 
OS:                Linux

KNetworkmanager always reports that the wired connection is unplugged. The wired connection is functioning normally. NetworkManager backend is good. nm-tool reports proper status.

Also KNetworkManager cannot edit the connection - IE change from dynamic to static. There are no error messages. The new configuration simply is not applied. nm-connection-editor works properly. KNetworkManager can however see the updated configuration.

Reproducible: Always

Steps to Reproduce:
Login to KDE. When system tray is loaded the icon always show unplugged

Actual Results:  
shows disconnected

Expected Results:  
show connected

Show the actual status. Write configuration changes to the configuration files.
Comment 1 Kerrick Staley 2010-12-31 04:29:32 UTC
This bug also affects me. When I boot the computer, KNetworkManager says "cable unplugged" and refuses to connect to the internet, even though a cable is plugged in. The problem can be fixed until the next reboot by running { sudo ifconfig eth0 down; sudo ifconfig eth0 up; } in the shell. I have attached the output of lspci (lspci), the output of uname -a (uname), pertinent log entries after booting (boot), and pertinent log entries after establishing a connection with { sudo ifconfig eth0 down; sudo ifconfig eth0 up; }.
Comment 2 Kerrick Staley 2010-12-31 04:34:06 UTC
Created attachment 55401 [details]
Output of lspci on my computer
Comment 3 Kerrick Staley 2010-12-31 04:34:37 UTC
Created attachment 55402 [details]
Output of uname -a on my computer
Comment 4 Kerrick Staley 2010-12-31 04:35:04 UTC
Created attachment 55403 [details]
Pertinent log files after booting
Comment 5 Kerrick Staley 2010-12-31 04:35:43 UTC
Created attachment 55404 [details]
Pertinent log files after establishing a connection
Comment 6 Lamarque V. Souza 2011-03-17 05:29:15 UTC
It seems the Plasma NM's kded daemon is not running. You check that in systemsettings -> Startup and Shutdown -> Service Manager -> NetworkManager User Settings Service.
Comment 7 Lamarque V. Souza 2011-05-08 21:08:58 UTC
Git commit 1bbf8f6b6c0569427bf2505893ad381d14228679 by Lamarque V. Souza.
Committed on 08/05/2011 at 21:19.
Pushed by lvsouza into branch 'master'.

Try a little harder to find a remote connection for a network interface.

CCBUG: 256400

M  +3    -3    applet/interfaceitem.cpp     
M  +1    -1    applet/networkmanager.cpp     
M  +1    -1    libs/client/CMakeLists.txt     
M  +58   -2    libs/client/remoteactivatablelist.cpp     
M  +9    -0    libs/client/remoteactivatablelist.h     
M  +0    -18   libs/internals/uiutils.cpp     
M  +0    -7    libs/internals/uiutils.h     

http://commits.kde.org/networkmanagement/1bbf8f6b6c0569427bf2505893ad381d14228679
Comment 8 Lamarque V. Souza 2011-05-08 21:08:58 UTC
Git commit b050c3cfc7007f6c84173d2fb3793ba8ece737dc by Lamarque V. Souza.
Committed on 08/05/2011 at 21:19.
Pushed by lvsouza into branch 'nm09'.

Try a little harder to find a remote connection for a network interface.

CCBUG: 256400
(cherry picked from commit 1bbf8f6b6c0569427bf2505893ad381d14228679)

M  +3    -3    applet/interfaceitem.cpp     
M  +1    -1    applet/networkmanager.cpp     
M  +1    -1    libs/client/CMakeLists.txt     
M  +58   -2    libs/client/remoteactivatablelist.cpp     
M  +9    -0    libs/client/remoteactivatablelist.h     
M  +0    -18   libs/internals/uiutils.cpp     
M  +0    -7    libs/internals/uiutils.h     

http://commits.kde.org/networkmanagement/b050c3cfc7007f6c84173d2fb3793ba8ece737dc
Comment 9 Lamarque V. Souza 2011-05-08 21:10:13 UTC
Editing system connections was implement last month. If commit b050c3cfc7007f6c84173d2fb3793ba8ece737dc fix the problem for you I will close this bug.
Comment 10 Nikos Platis 2011-05-16 02:49:10 UTC
I tried the current version of plasma-nm (from master, with nm 0.8.3), but now I can see no icon appear, never.
Looking back at Bug 272135. from which this bug continues, I see that I mentioned that after some switching of connections the globe icon started to appear -- I have not been able to see it with the current version of plasma-nm. However, I think that the second problem I mentioned (details disappearing) is somehow better now, but not perfect yet
Comment 11 Lamarque V. Souza 2011-07-31 01:50:01 UTC
Is this still happening?
Comment 12 Nikos Platis 2011-08-07 12:32:33 UTC
No, using recent git versions the icons appear fine.